Skip to content

Delete member

DELETE
/api/v2.0/stores/{storeId}/members/{memberId}
curl --request DELETE \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX \
--header 'Authorization: Bearer <token>'

This endpoint deletes a member. Note that while the member may not be immediately removed from the system, they will be marked for deletion and permanently removed after a period of 10 days.

storeId
required
string

The store id

Example
your-store-id
memberId
required
string

The member id

Example
m_nsr714RRBEHX

OK

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}